<!DOCTYPE html>
<html>
<head>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.2.6/jquery.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.6/dist/umd/popper.min.js" integrity="sha384-oBqDVmMz9ATKxIep9tiCxS/Z9fNfEXiDAYTujMAeBAsjFuCZSmKbSSUnQlmh/jp3" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js" integrity="sha384-cuYeSxntonz0PPNlHhBs68uyIAVpIIOZZ5JqeqvYYIcEL727kskC66kF92t6Xl2V" crossorigin="anonymous"></script>
<script src="/socket.io/socket.io.js"></script>
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
</head>
<body>
<div class="container">
	<div>
		<h1>Enviar mensagem</h1>
		<br>
		<input id="nome" placeholder="Nome">
		<br>
		<textarea id="mensagem" placeholder="Insira sua mensagem"></textarea>
		<br>
		<button id="enviar" class="btn btn-success">Enviar</button>
	</div>
	<div id="mensagens"></div>
</div>
<script>
var socket = io();
console.log($("#nome").val());
$("#enviar").click(()=>{
	var json = {
		nome: $("#nome").val(),
		mensagem: $("#mensagem").val()
	};
	enviarMensagem(json);
	// socket.emit('mensagem', json);
	// getMensagens();
})
function enviarMensagem(mensagem){
	$.post('http://127.0.0.1:3000/mensagem', mensagem);
}
function adicionar(mensagem){
	console.log(mensagem);
	$("#mensagens").append(`
		<h4> ${mensagem.nome} </h4>
		<p> ${mensagem.mensagem} </p>
	`)

};

function getMensagens(){
	$.get('http://127.0.0.1:3000/mensagens', function(data,status){
		$.each(JSON.parse(data), function(i, item){
			adicionar(item);
		})
	});
}
getMensagens();
	socket.on('mensagem', (msg) => {
		console.log(msg);
		adicionar(msg);
	});
</script>

</body>
</html>
